Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph
Class EdgeList

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeList

    public class EdgeList

extends java.lang.Object

A EdgeList is a list of Edges. It supports locating edges that are pointwise equals to a target edge.

Version:
  1.7

Constructor Summary
`EdgeList()`

Method Summary
`void` | `add(Edge e)` Insert an edge unless it is already in the list
`void` | `addAll(java.util.Collection edgeColl)`
`int` | `findEdgeIndex(Edge e)` If the edge e is already in the list, return its index.
`Edge` | `findEqualEdge(Edge e)` If there is an edge equal to e already in the list, return it.
`Edge` | `get(int i)`
`java.util.List` | `getEdges()`
`java.util.Iterator` | `iterator()`
`void` | `print(java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeList

    public EdgeList()

Method Detail

### add

    public void add(Edge e)

  Insert an edge unless it is already in the list

### addAll

    public void addAll(java.util.Collection edgeColl)

### getEdges

    public java.util.List getEdges()

### findEqualEdge

    public Edge findEqualEdge(Edge e)

  If there is an edge equal to e already in the list, return it. Otherwise return null.

  Returns:
    equal edge, if there is one already in the list null otherwise

### iterator

    public java.util.Iterator iterator()

### get

    public Edge get(int i)

### findEdgeIndex

    public int findEdgeIndex(Edge e)

  If the edge e is already in the list, return its index.

  Returns:
    index, if e is already in the list -1 otherwise

### print

    public void print(java.io.PrintStream out)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD